Skip to main content
GET
/
tasks
/
{task_id}
/
time
Get Task Time Records
curl --request GET \
  --url https://api.everhour.com/tasks/{task_id}/time \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 2660155,
    "time": 3600,
    "user": 1304,
    "date": "2018-01-20",
    "task": {
      "id": "ev:9876543210",
      "name": "Task Name",
      "projects": [
        "ev:1234567890"
      ],
      "section": 1234,
      "labels": [
        "high",
        "bug"
      ],
      "position": 1,
      "description": "<string>",
      "dueAt": "2018-03-05 16:00:00",
      "status": "open",
      "time": {
        "total": 7200,
        "users": {
          "1304": 3600,
          "1543": 3600
        }
      },
      "estimate": {
        "total": 7200,
        "type": "overall",
        "users": {
          "1304": 3600,
          "1543": 3600
        }
      },
      "attributes": {
        "Client": "Everhour",
        "Priority": "high"
      },
      "metrics": {
        "efforts": 42,
        "expenses": 199
      },
      "unbillable": true
    },
    "isLocked": false,
    "isInvoiced": false,
    "comment": "some notes",
    "history": [
      {
        "id": 4622379,
        "createdBy": 1304,
        "time": 3600,
        "previousTime": 0,
        "action": "TIMER",
        "createdAt": "2018-01-16 12:42:59"
      }
    ]
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

task_id
string
required

Task ID

Example:

"ev:3000010034"

Query Parameters

from
string

Date from

Example:

"2018-01-01"

to
string

Date to

Example:

"2018-01-31"

limit
number

Max results for pagination, max value 50000

Example:

10000

page
number

Page

Example:

1

Response

OK

id
number
required

Time record ID

Example:

2660155

time
number
required

Time recorded in seconds

Example:

3600

user
number
required

User ID

Example:

1304

date
string
required

Date

Example:

"2018-01-20"

task
object
isLocked
boolean
Example:

false

isInvoiced
boolean
Example:

false

comment
string
Example:

"some notes"

history
object[]